using System.Xml;

namespace DateiXml
{
    internal class Person(string name, string vorname, int pnummer,
        double gehalt, DateTime geburtstag)
    {
        public void AlsXmlElementSchreiben(XmlTextWriter xw)
        {
            xw.WriteStartElement("person");
            xw.WriteAttributeString("name", name);
            xw.WriteAttributeString("vorname", vorname);
            xw.WriteAttributeString("pnummer", pnummer.ToString());
            xw.WriteAttributeString("gehalt", gehalt.ToString());
            xw.WriteAttributeString("gtag",
                geburtstag.ToShortDateString());
            xw.WriteEndElement();
        }

        public override string ToString() => $"{name}, {vorname}, " +
            $"{pnummer}, {gehalt}, {geburtstag.ToShortDateString()}";        // oder kurz {geburtstag:d}
    }
}
